Project

Profile

Help

Story #5072

Story #4908: [Epic] As a user, I can manage modular content

As a user I can upload modulemd and scan for present rpm packages

Added by ppicka 8 months ago. Updated 8 months ago.

Status:
POST
Priority:
Normal
Assignee:
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Platform Release:
Blocks Release:
Backwards Incompatible:
No
Groomed:
No
Sprint Candidate:
No
Tags:
QA Contact:
Complexity:
Smash Test:
Verified:
No
Verification Required:
No
Sprint:

Description

In case user wants add modulemd into Pulp there should be provided

- modulemd as artifact (upload modulemd.yaml file)
- call api with artifact id which created modulemd[s] and scan for already present packages (artifact of modulemd)


Checklist


Related issues

Copied to RPM Support - Story #5169: As a user I can upload modulemd-defaults POST Actions

Associated revisions

Revision f0936a1e View on GitHub
Added by ppicka 8 months ago

Add libmodulemd package

To able to work with modulemd RPM plugin need to have libmodulemd package installed.

Available only on Fedora.

re: #5072 https://pulp.plan.io/issues/5072

History

#1 Updated by ppicka 8 months ago

  • Description updated (diff)

#2 Updated by ppicka 8 months ago

  • Tracker changed from Issue to Story
  • Subject changed from Upload modulemd and scan for present rpm packages to As a user I can upload modulemd and scan for present rpm packages
  • Description updated (diff)
  • % Done set to 0

#3 Updated by ppicka 8 months ago

  • Status changed from ASSIGNED to POST

#4 Updated by ppicka 7 months ago

  • Copied to Story #5169: As a user I can upload modulemd-defaults added

Please register to edit this issue

Also available in: Atom PDF